Bug 200328 - Linking libmimedir results in failure
Linking libmimedir results in failure
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: synce (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE7Target
  Show dependency treegraph
 
Reported: 2006-07-26 17:04 EDT by quintesse
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-27 06:32:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description quintesse 2006-07-26 17:04:27 EDT
Description of problem:

Any compilation including libmimedir (part of synce-devel) seems to result in
the following error:

/usr/bin/ld: ft: hidden symbol `__stack_chk_fail_local' in
/usr/lib/libc_nonshared.a(stack_chk_fail_local.oS) is referenced by DSO
/usr/bin/ld: final link failed: Nonrepresentable section on output
collect2: ld returned 1 exit status

Version-Release number of selected component (if applicable):

Version     : 0.9.1
Release     : 7.fc5

How reproducible:


Steps to Reproduce:
1. Just take any "empty" .c file, eg:

int main () {
   return 0;
}

2. gcc -lmimedir test.c
  
Actual results:

/usr/bin/ld: a.out: hidden symbol `__stack_chk_fail_local' in
/usr/lib/libc_nonshared.a(stack_chk_fail_local.oS) is referenced by DSO
/usr/bin/ld: final link failed: Nonrepresentable section on output
collect2: ld returned 1 exit status

Expected results:

compiled and linked executable
Comment 1 Andreas Bierfert 2006-07-31 09:39:05 EDT
Hm, will look into it... seems like something that popped up during builds.. I
think I added some linking parameters to the spec in order for it to work...
Comment 2 Andreas Bierfert 2007-04-27 06:32:20 EDT
This should all be resolved with the new structure of synce splitted up into
subpackages. I will close this here.

Note You need to log in before you can comment on or make changes to this bug.